/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admestatelist: params => { // 楼盘列表接口
    return getRequest('/adm/estate/list', params)
  },
  admestateadd: params => { // 楼盘添加
    return getRequestNoSort('/adm/estate/add', params, 'loading')
  },
  admestateedit: params => { // 楼盘编辑
    return getRequestNoSort('/adm/estate/edit', params, 'loading')
  },
  admestatedetail: params => { // 楼盘详情
    return getRequestNoSort('/adm/estate/detail', params, 'loading')
  },
  admestatedel: params => { // 楼盘删除
    return getRequestNoSort('/adm/estate/del', params, 'loading')
  },
  admestatemoduleid: params => { // 资讯列表
    return getRequestNoSort('/adm/estate/module/id', params, 'loading')
  },
  admestatephotolist: params => { // 楼盘相册接口
    return getRequestNoSort('/adm/estate/photo/list', params, 'loading')
  },
  admestatephotoedit: params => { // 楼盘相册编辑接口
    return getRequestNoSort('/adm/estate/photo/edit', params, 'loading')
  },
  admestatenewslist: params => { // 楼盘动态列表接口
    return getRequest('/adm/estate/news/list', params)
  },
  admestatenewsadd: params => { // 楼盘动态添加接口
    return getRequestNoSort('/adm/estate/news/add', params, 'loading')
  },
  admestatenewsedit: params => { // 楼盘动态编辑接口
    return getRequestNoSort('/adm/estate/news/edit', params, 'loading')
  },
  admestatenewsdel: params => { // 楼盘动态删除接口
    return getRequestNoSort('/adm/estate/news/del', params, 'loading')
  },
  admoldhouselist: params => { // 二手房列表接口
    return getRequest('/adm/oldhouse/list', params)
  },
  admoldhouseadd: params => { // 二手房添加
    return getRequestNoSort('/adm/oldhouse/add', params, 'loading')
  },
  admoldhouseedit: params => { // 二手房编辑
    return getRequestNoSort('/adm/oldhouse/edit', params, 'loading')
  },
  admoldhousedetail: params => { // 二手房详情
    return getRequestNoSort('/adm/oldhouse/detail', params, 'loading')
  },
  admoldhousedel: params => { // 二手房删除
    return getRequestNoSort('/adm/oldhouse/del', params, 'loading')
  },
  admestatemodulelist: params => { // 模块主题列表接口
    return getRequest('/adm/estate/module/list', params)
  },
  admestatemoduleadd: params => { // 模块主题添加
    return getRequestNoSort('/adm/estate/module/add', params, 'loading')
  },
  admestatemoduleedit: params => { // 模块主题编辑
    return getRequestNoSort('/adm/estate/module/edit', params, 'loading')
  },
  admestatemoduledetail: params => { // 模块主题详情
    return getRequestNoSort('/adm/estate/module/detail', params, 'loading')
  },
  admestatemoduledel: params => { // 模块主题删除
    return getRequestNoSort('/adm/estate/module/del', params, 'loading')
  },
  admestatesortedit: params => { // 楼盘排序接口
    return getRequestNoSort('/adm/estate/sort/edit', params, 'loading')
  },
  admschoolsortedit: params => { // 学校排序接口
    return getRequestNoSort('/adm/school/sort/edit', params, 'loading')
  },
  admschoollist: params => { // 学校列表接口
    return getRequest('/adm/school/list', params)
  },
  admschooladd: params => { // 学校添加
    return getRequestNoSort('/adm/school/add', params, 'loading')
  },
  admschooledit: params => { // 学校编辑
    return getRequestNoSort('/adm/school/edit', params, 'loading')
  },
  admschooldetail: params => { // 学校详情
    return getRequestNoSort('/adm/school/detail', params, 'loading')
  },
  admschooldel: params => { // 学校删除
    return getRequestNoSort('/adm/school/del', params, 'loading')
  },
  adminformationlist: params => { // 洪楼文章列表接口
    return getRequest('/adm/information/list', params)
  },
  adminformationadd: params => { // 洪楼文章添加
    return getRequestNoSort('/adm/information/add', params, 'loading')
  },
  adminformationedit: params => { // 洪楼文章编辑
    return getRequestNoSort('/adm/information/edit', params, 'loading')
  },
  adminformationdetail: params => { // 洪楼文章详情
    return getRequestNoSort('/adm/information/detail', params, 'loading')
  },
  adminformationdel: params => { // 洪楼文章删除
    return getRequestNoSort('/adm/information/del', params, 'loading')
  },
  adminformationcountcache: params => { // 洪楼文章 统计更新
    return getRequestNoSort('/adm/information/count/cache', params, 'loading')
  },
  admlandlist: params => { // 土拍 - 列表接口
    return getRequest('/adm/land/list', params)
  },
  admlandadd: params => { // 土拍 - 添加
    return getRequestNoSort('/adm/land/add', params, 'loading')
  },
  admlandedit: params => { // 土拍 - 编辑
    return getRequestNoSort('/adm/land/edit', params, 'loading')
  },
  admlanddetail: params => { // 土拍 - 详情
    return getRequestNoSort('/adm/land/detail', params, 'loading')
  },
  admlanddel: params => { // 土拍 - 删除
    return getRequestNoSort('/adm/land/del', params, 'loading')
  },
}
